Skip to main content
PATCH
/
api
/
v2
/
perp
/
orders
PATCH /api/v2/perp/orders — Batch modify perpetual orders
curl --request PATCH \
  --url https://api.shuriken.trade/api/v2/perp/orders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "modifications": [
    {
      "coin": "<string>",
      "isBuy": true,
      "limitPx": "<string>",
      "sz": "<string>",
      "cloid": "<string>",
      "newCloid": "<string>",
      "oid": 1,
      "orderType": "<string>"
    }
  ],
  "walletId": "<string>"
}
'
{
  "data": {
    "results": [
      {
        "status": "<string>",
        "cloid": "<string>",
        "error": "<string>",
        "oid": 1
      }
    ]
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Body

application/json
modifications
object[]
required
walletId
string
required

Response

Batch modify results

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info (per RFC)